Get link building metric trends
curl --request GET \
--url https://api.beeze.io/v1/domain-research/overview/trends \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/domain-research/overview/trends"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/domain-research/overview/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beeze.io/v1/domain-research/overview/trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.beeze.io/v1/domain-research/overview/trends"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.beeze.io/v1/domain-research/overview/trends")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beeze.io/v1/domain-research/overview/trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"period": {
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timeZone": "<string>"
},
"value": 123
}
]{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}Domain research
Get link building metric trends
GET
/
domain-research
/
overview
/
trends
Get link building metric trends
curl --request GET \
--url https://api.beeze.io/v1/domain-research/overview/trends \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/domain-research/overview/trends"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/domain-research/overview/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beeze.io/v1/domain-research/overview/trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.beeze.io/v1/domain-research/overview/trends"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.beeze.io/v1/domain-research/overview/trends")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beeze.io/v1/domain-research/overview/trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"period": {
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timeZone": "<string>"
},
"value": 123
}
]{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}Authorizations
API key for external Beeze API access
Query Parameters
Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.
Minimum string length:
1Filter by responsible person
Filter by locale or market code
Metric type to chart
Available options:
spendings, backlinks, traffic, dr, pricePerBacklink Time grouping used by the trends endpoint
Available options:
daily, monthly, quarterly, yearly